# classes/phing/tasks/system/condition/OsCondition.php

Condition that tests the OS type.

@author Andreas Aderhold andi@binarycloud.com

access
  public
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system.condition
version
  $Revision: 552 $ $Date: 2009-08-29 14:18:13 +0200 (Sat, 29 Aug 2009) $

## \OsCondition
jump to top

Condition that tests the OS type.

@author Andreas Aderhold andi@binarycloud.com

Implements
  \Condition
access
  public
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system.condition
version
  $Revision: 552 $ $Date: 2009-08-29 14:18:13 +0200 (Sat, 29 Aug 2009) $

### Properties

`$family= ''`
Details

Type

### Methods

`evaluate( ) :`
`setFamily( $f ) :`
Parameters

Name | Type | Description
--- | --- | ---
$f |  |

Documentation was generated by DocBlox 0.13.1.